glab(1)

NAME
glab-repo-update - Update an existing GitLab project or repository.

SYNOPSIS
glab repo update [path] [flags]

DESCRIPTION
Change project settings such as the description or default branch, or archive and unarchive the project with --archive.

OPTIONS
--archive[=false]
    Whether the project should be archived.

--defaultBranch=""
    New default branch for the project.

-d, --description=""
    New description for the project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Update the description for my-project.
    glab repo update my-project --description "This project is cool."
    # Update the default branch for my-project.
    glab repo update my-project --defaultBranch main
    # Archive my-project.
    glab repo update my-project --archive
    glab repo update my-project --archive=true
    # Unarchive my-project.
    glab repo update my-project --archive=false

SEE ALSO
glab-repo(1)